=== debian/changelog ===
oar (2.5.2-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Replace transitional ruby packages with real ones.
    (Closes: #735745)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 00:36:35 +0100

oar (2.5.2-4) unstable; urgency=low

  [ Pierre Neyron ]
  * Set Pierre Neyron as Maintainer
  * Add Philippe Le Brouster as Uploader
  * Fix piupart reported error: package uses files from /usr/share/doc
    (Closes: #722621)
  * Fix database schema version: 2.5.2
  * Fix dependencies to the database backend packages
  * Fix packages post scripts: purge /etc/oar, /var/lib/oar
  * Fix oardo.c compilation warning
  * Fix prologues and epilogues configuration files permissions

  [ Vincent Danjean ]
  * Bump Standard-Version (no change needed)
  * Add header to new quilt patches

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 20 Sep 2013 14:17:34 +0200

oar (2.5.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD failure":
    add patch to add encoding to POD
    (Closes: #720431)

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Aug 2013 17:42:06 +0200

oar (2.5.2-3) unstable; urgency=low

  * Remove the desktop-computing packaging because it is no more supported
    (Closes: #676220).
  * Remove the conffiles  when purging the binary packages (Closes: #674657).
  * Override dh_compress to prevent debhelper to compress examples.
  * Use ucfr to register conffile.
  * Remove the ssh keys when purgin oar-node 

 -- Philippe Le Brouster <plb@nebkha.net>  Tue, 26 Jun 2012 12:23:42 +0200

oar (2.5.2-2) unstable; urgency=low

  * Rebuild for the debian archive. (Closes: #663558)

 -- Philippe Le Brouster <plb@nebkha.net>  Thu, 24 May 2012 12:47:49 +0200

oar (2.5.2-1) unstable; urgency=low

  * Imported Upstream version 2.5.2.
  * Remove the patch 0001-Fix-a-spelling-error-in-the-oaradmin-manpage (no
    more needed).
  * Update the debian copyright file.
  * Switch to debhelper 9.
  * Update properly CFLAGS
  * Override lintian warning: hardening-no-stackprotector
  * Add Vincent Danjean as Uploaders.

 -- Philippe Le Brouster <plb@nebkha.net>  Wed, 23 May 2012 17:00:53 +0200

oar (2.5.1-4) unstable; urgency=low

  * Add lintian overrides for empty binary packages.
  * Add lintian overrides for the install file.
  * Improve the short descriptions. 
  * Fix a spelling error in oaradmin manpage.

 -- Philippe Le Brouster <plb@nebkha.net>  Fri, 06 Apr 2012 13:40:16 +0200

oar (2.5.1-3) unstable; urgency=low

  * Fix the debian watch file.
  * oar-server-mysql: Remove phpmyadmin as suggestion.
  * Fix the dependencies on libdbi-perl. 
  * Fix the binaries conflict between oar-user-{mysql,pgsql}. 
  * Improve the short descriptions.

 -- Philippe Le Brouster <plb@nebkha.net>  Mon, 02 Apr 2012 13:25:10 +0200

oar (2.5.1-2) unstable; urgency=low

  * First upload to the debian archive (Closes: #663558)  
  * Bump the standards version.
  * Change the oar-api package description.

 -- Philippe Le Brouster <plb@nebkha.net>  Mon, 12 Mar 2012 13:02:11 +0100

oar (2.5.1-1) UNRELEASED; urgency=low

  * New upstream release. 

 -- Philippe Le Brouster <philippe.le-brouster@imag.fr>  Fri, 13 Jan 2012 18:15:09 +0100

oar (2.5.0+rc2-1) UNRELEASED; urgency=low

  * New upstream release. 
  * Remove the symlink creation for the apache2 configuration. (already done
    by the setup scripts).

 -- Philippe Le Brouster <philippe.le-brouster@imag.fr>  Mon, 19 Dec 2011 22:59:22 +0100

oar (2.5.0+rc1-1) UNRELEASED; urgency=low

  * Initial Release.

 -- Philippe Le Brouster <philippe.le-brouster@imag.fr>  Thu, 08 Dec 2011 11:06:45 +0100
