=== debian/control ===
Source: oar
Section: science
Priority: extra
Maintainer: Pierre Neyron <pierre.neyron@free.fr>
Uploaders: Philippe Le Brouster <plb@nebkha.net>,
  Vincent Danjean <vdanjean@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9~), po-debconf, python-docutils, perl
Standards-Version: 3.9.4
Vcs-Git: git://scm.gforge.inria.fr/oar/oar.git/
Homepage: http://oar.imag.fr/

Package: liboar-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, libdbi-perl
Suggests: oar-server, oar-user, oar-node, oar-doc
Description: OAR batch scheduler common library package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common libraries of the OAR batch scheduler

Package: oar-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, adduser, ucf
Suggests: oar-server, oar-user, oar-node, oar-doc
Description: OAR batch scheduler common package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common part of the OAR batch scheduler

Package: oar-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, openssh-client | ssh, cron, lsb-base, libsort-versions-perl, libdbi-perl,  oar-common (= ${binary:Version}), liboar-perl (= ${binary:Version}), oar-server-pgsql (= ${binary:Version}) | oar-server-mysql (= ${binary:Version})
Recommends: libxml-dumper-perl, libyaml-perl
Suggests: taktuk , phpmyadmin, oar-node, oar-doc, openssh-server | ssh
Description: OAR batch scheduler server package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the server part of the OAR batch scheduler

Package: oar-server-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl
Recommends: mysql-client
Suggests: mysql-server
Description: OAR batch scheduler MySQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the server part of the
 OAR batch scheduler.

Package: oar-server-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-pg-perl
Recommends: postgresql-client
Suggests: postgresql
Description: OAR batch scheduler PostgreSQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependencies for the server part of
 the OAR batch scheduler.

Package: oar-node
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, openssh-client | ssh, openssh-server | ssh, oar-common (= ${binary:Version})
Suggests: oar-doc, xauth
Description: OAR batch scheduler node package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the execution node part of the OAR batch scheduler

Package: oar-user
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, oar-common (= ${binary:Version}), liboar-perl (= ${binary:Version}), oar-user-mysql | oar-user-postgresql
Recommends: libxml-dumper-perl, libyaml-perl
Suggests: oar-doc, openssh-client | ssh, xauth
Description: OAR batch scheduler user package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the submission and query part of the OAR batch scheduler.

Package: oar-user-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl
Description: OAR batch scheduler MySQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the user part of the
 OAR batch scheduler.

Package: oar-user-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-pg-perl
Description: OAR batch scheduler PostgreSQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependences for the user part of
 the OAR batch scheduler.

Package: oar-web-status
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, apache2 | httpd-cgi, ruby, ruby-dbd-mysql | ruby-dbd-pg, ruby-gd, perl, libdbi-perl, libdbd-mysql-perl | libdbd-pg-perl, libtie-ixhash-perl, libappconfig-perl, libsort-naturally-perl, libjs-jquery
Suggests: oar-doc
Description: OAR batch scheduler visualization tool package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the OAR batch scheduler Gantt reservation diagram CGI: 
 DrawGantt and the instant cluster state visualization CGI: Monika

Package: oar-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: OAR batch scheduler documentation package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install some documentation for OAR batch scheduler

Package: oar-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, ruby, ruby-dbd-mysql | ruby-dbd-pg, libyaml-perl, oar-user (>> 2.5.0)
Suggests: oar-doc, oar-server
Description: OAR batch scheduler administration tools package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs some useful tools to help the administrator
 of a oar server (resources manipulation, admission rules edition, ...)

Package: oar-restful-api
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, apache2 | httpd-cgi, perl-modules, libjson-perl, libwww-perl, libcgi-fast-perl, oar-user (>> 2.5.0)
Suggests: oar-doc, oar-server
Recommends: libxml-simple-perl, libyaml-perl
Replaces: oar-api (<< 2.5.0+dev515.519ec70-63)
Breaks: oar-api (<< 2.5.0+dev515.519ec70-63)
Description: OAR RESTful API
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs a RESTful API for oar users. 
 It works as a cgi into Apache.

Package: oar-api
Depends: oar-restful-api, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
