=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

INSTALLDIR=debian

export OARUSER=oar
export OARCONFDIR=/etc/oar
export PREFIX=/usr
export MANDIR=/usr/share/man
export OARDIR=/usr/lib/oar
export BINDIR=/usr/bin
export SBINDIR=/usr/sbin
export CGIDIR=/usr/lib/cgi-bin
export PERLLIBDIR=/usr/share/perl5
export VARLIBDIR=/var/lib
export SETUP_TYPE=deb
export TARGET_DIST=debian

export CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- -e packages-build   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
	

override_dh_auto_install:
	$(MAKE) -e packages-install PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
	## oar-server
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/init.d/oar-server > debian/oar-server.init
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/default/oar-server > debian/oar-server.default
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/cron.d/oar-server > debian/oar-server.cron.d
	
	## oar-node
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/init.d/oar-node > debian/oar-node.init
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/default/oar-node > debian/oar-node.default
	# disable the automatic installation of this cron, by default 
	#cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/cron.d/oar-node > debian/oar-node.cron.d
		
	## oar-common
	cat $(CURDIR)/$(INSTALLDIR)/oar-common/usr/share/oar/oar-common/logrotate.d/oar-common > debian/oar-common.logrotate
	## oar-web-status
	# (poar) use libjs-jquery instead of the embedded one.
	# -- poar is not in the debian packaging (still an experimental feature)
	#rm $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar/oar-web-status/poar/external/jquery.js
	#ln -s /usr/share/javascript/jquery/jquery.js  $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar-web-status/poar/external/jquery.js
		
	dh_install -i

override_dh_clean:
	dh_clean
	
	$(MAKE) -e packages-clean   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
		
	# Cleaning package
	rm -f debian/oar-server.init
	rm -f debian/oar-node.init
	rm -f debian/oar-server.default
	rm -f debian/oar-node.default
	rm -f debian/oar-common.logrotate
	rm -f debian/oar-server.cron.d
	rm -f debian/oar-node.cron.d

override_dh_installinit:
	dh_installinit --no-start

override_dh_compress:
	# avoid to compress examples as we use ucf after.
	dh_compress -Xexamples
