=== debian/watch ===
version=3
http://oar-ftp.imag.fr/oar/2.5/sources/stable oar-(.+)\.tar\.gz
