## oar 2.5.4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export SHELL=/bin/bash
 
 # Modules that can be builded
-MODULES = server user node monika draw-gantt doc desktop-computing-agent desktop-computing-cgi tools api scheduler-ocaml www-conf common common-libs database  
+MODULES = server user node monika drawgantt drawgantt-svg doc tools api kamelot-mysql kamelot-postgresql www-conf common common-libs database  
 
 
 MODULES_LIST= $(patsubst %,% |, $(MODULES))|
@@ -20,11 +20,11 @@
 TARGETS = $(TARGETS_BUILD) $(TARGETS_CLEAN) $(TARGETS_INSTALL) $(TARGETS_UNINSTALL) $(TARGETS_SETUP)
 
 all:       usage
-build:     $(filter-out scheduler-ocaml% , $(TARGETS_BUILD))
-install:   $(filter-out scheduler-ocaml% , $(TARGETS_INSTALL))
-clean:     $(filter-out scheduler-ocaml% , $(TARGETS_CLEAN))
-uninstall: $(filter-out scheduler-ocaml% , $(TARGETS_UNINSTALL))
-setup:     $(filter-out scheduler-ocaml% , $(TARGETS_SETUP))
+build:     $(TARGETS_BUILD)
+install:   $(TARGETS_INSTALL)
+clean:     $(TARGETS_CLEAN)
+uninstall: $(TARGETS_UNINSTALL)
+setup:     $(TARGETS_SETUP)
 
 tarball: .git
 	./misc/make_tarball
@@ -95,23 +95,23 @@
 node-build: common-build 
 node-uninstall: common-uninstall
 
-draw-gantt-setup: www-conf-setup
-draw-gantt-install: www-conf-install
-draw-gantt-clean: www-conf-clean
-draw-gantt-build: www-conf-build
-draw-gantt-uninstall: www-conf-uninstall
+drawgantt-setup: www-conf-setup
+drawgantt-install: www-conf-install
+drawgantt-clean: www-conf-clean
+drawgantt-build: www-conf-build
+drawgantt-uninstall: www-conf-uninstall
+
+drawgantt-svg-setup: www-conf-setup
+drawgantt-svg-install: www-conf-install
+drawgantt-svg-clean: www-conf-clean
+drawgantt-svg-build: www-conf-build
+drawgantt-svg-uninstall: www-conf-uninstall
 
 monika-setup: www-conf-setup
 monika-install: www-conf-install
 monika-clean: www-conf-clean
 monika-build: www-conf-build
 monika-uninstall: www-conf-uninstall
-
-desktop-computing-cgi-setup: common-setup common-libs-setup
-desktop-computing-cgi-install: sanity-check common-install common-libs-install
-desktop-computing-cgi-clean: common-clean common-libs-clean
-desktop-computing-cgi-build: common-build common-libs-build
-desktop-computing-cgi-uninstall: common-uninstall common-libs-uninstall
 
 tools-setup: common-setup common-libs-setup
 tools-install: sanity-check common-install common-libs-install
@@ -152,10 +152,12 @@
 	# oar-server
 	mkdir -p $(PACKAGES_DIR)/oar-server/var/lib/oar
 	$(MAKE) -f Makefiles/server.mk $(P_ACTION)\
+    SHAREDIR=/usr/share/oar/oar-server \
                 DESTDIR=$(PACKAGES_DIR)/oar-server
 	
 	$(MAKE) -f Makefiles/database.mk $(P_ACTION)\
                 DESTDIR=$(PACKAGES_DIR)/oar-server \
+    SHAREDIR=/usr/share/oar/oar-server \
 		DOCDIR=/usr/share/doc/oar-server
 	
 	# oar-node
@@ -173,28 +175,18 @@
 	$(MAKE) -f Makefiles/monika.mk $(P_ACTION) \
                 DESTDIR=$(PACKAGES_DIR)/oar-web-status \
 		DOCDIR=/usr/share/doc/oar-web-status \
+		SHAREDIR=/usr/share/oar/oar-web-status \
 		WWWDIR=/usr/share/oar-web-status
-	$(MAKE) -f Makefiles/draw-gantt.mk $(P_ACTION) \
+	$(MAKE) -f Makefiles/drawgantt-svg.mk $(P_ACTION) \
                 DESTDIR=$(PACKAGES_DIR)/oar-web-status \
 		DOCDIR=/usr/share/doc/oar-web-status \
+		SHAREDIR=/usr/share/oar/oar-web-status \
 		WWWDIR=/usr/share/oar-web-status
 	$(MAKE) -f Makefiles/www-conf.mk $(P_ACTION) \
                 DESTDIR=$(PACKAGES_DIR)/oar-web-status \
 		DOCDIR=/usr/share/doc/oar-web-status \
+		SHAREDIR=/usr/share/oar/oar-web-status \
 		WWWDIR=/usr/share/oar-web-status
-	
-	# oar-admin
-	$(MAKE) -f Makefiles/tools.mk $(P_ACTION) \
-                DESTDIR=$(PACKAGES_DIR)/oar-admin \
-		DOCDIR=/usr/share/doc/oar-admin
-	
-	# oar-desktop-computing-agent
-	$(MAKE) -f Makefiles/desktop-computing-agent.mk $(P_ACTION) \
-		DESTDIR=$(PACKAGES_DIR)/oar-desktop-computing-agent
-	
-	# oar-desktop-computing-cgi
-	$(MAKE) -f Makefiles/desktop-computing-cgi.mk $(P_ACTION) \
-	    DESTDIR=$(PACKAGES_DIR)/oar-desktop-computing-cgi
 	
 	# oar-restful-api
 	$(MAKE) -f Makefiles/api.mk $(P_ACTION) \
@@ -205,7 +197,3 @@
 	$(MAKE) -f Makefiles/keyring.mk $(P_ACTION) \
 	    DESTDIR=$(PACKAGES_DIR)/oar-keyring 
 	
-	# scheduler-ocaml-mysql
-	#$(MAKE) -f Makefiles/scheduler-ocaml.mk $(P_ACTION) \
-	#    DESTDIR=$(PACKAGES_DIR)/oar-scheduler-ocaml-mysql 
-
