=== debian/changelog ===
oar (2.5.4-2+deb8u1) jessie-security; urgency=high

  [ Pierre Neyron ]
  * Add patch: fix a vulnerability in the oarsh command
    (CVE-2016-1235; Closes: #819952)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 04 Apr 2016 10:49:52 +0200

oar (2.5.4-2) unstable; urgency=medium

  [ Pierre Neyron ]
  * Fix oar-node pid file location (Closes: #772564)
  * Fix errors with the TRUNCATE SQL request which is incompatible with MySQL
    and causes deadlocks with PostgreSQL (Closes: #773790)
  * Fix errors with advance reservation when moldable jobs are used
    (Closes: #775957)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 13 Feb 2015 11:03:53 +0100

oar (2.5.4-1) unstable; urgency=medium

  * New upstream release. No change from rc12

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 24 Oct 2014 17:11:45 +0200

oar (2.5.4~rc12-1) unstable; urgency=medium

  * New upstream release 
  * Fix oaraccounting bug (Closes: #678976) 
  * Remove Ruby dependencies (Closes: #732540) 
  * Force depends to OpenSSH's ssh
  * Remove patch fix-oar-server-init.d: applied upstream 

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 24 Oct 2014 15:09:46 +0200

oar (2.5.4~rc8-2) unstable; urgency=medium

  * stop oar-server and oar-node on upgrade from an old version
    (their prerm script did not stop their service)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 16 Oct 2014 14:36:45 +0200

oar (2.5.4~rc8-1) unstable; urgency=medium

  [ Pierre Neyron ]
  * New upstream release
  * Drop tools with dependencies to Ruby (oaradmin, drawgantt legacy)
  * Bump Standard-Version (no change needed)
  * Remove unused patches (applied upstream)
  * Fix oar-server (oar-database) depends to libterm-ui-perl

  [ Vincent Danjean ]
  * Bump Standards-Version
  * (re)start service on upgrade/start
  * add a Breaks: to the old oar-admin package. The database schema has
    been modified so old utilities did not work anymore

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 15 Oct 2014 10:31:17 +0200

oar (2.5.3-3) unstable; urgency=low

  * Fix oar-user dependency on oar-user-mysql or oar-user-postgresql
  * Fix prologues and epilogues configuration files permissions:
    add patch to set mod 0755
  * Fix oarsub copyright in pod (man), this corrects the "FTBFS with perl 5.18: POD failure" reported by Debian
    (Closes: #720431)
  * Fix the database structure version: must be 2.5.2

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 09 Sep 2013 00:03:38 +0200

oar (2.5.3-2) unstable; urgency=low

  * Fix clean-up of oar-server and oar-web-status after remove/purge

 -- Pierre Neyron <pierre.neyron@free.fr>  Tue, 02 Jul 2013 11:07:39 +0200

oar (2.5.3-1) unstable; urgency=low

  [ Philippe Le Brouster ]
  * Remove the patches merged in upstream. 

  [ Pierre Neyron ]
  * Imported Upstream version 2.5.3
  * Add drawgantt-svg to oar-web-status package
  * Set Pierre Neyron as Maintainer
  * Add Philippe Le Brouster as Uploader

 -- Pierre Neyron <pierre.neyron@free.fr>  Wed, 26 Jun 2013 18:15:04 +0200
