=== debian/rules ===
--- 
+++ 
@@ -59,17 +59,30 @@
 	$(MAKE) -e packages-clean   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
 		
 	# Cleaning package
-	rm -f debian/oar-server.init
-	rm -f debian/oar-node.init
-	rm -f debian/oar-server.default
-	rm -f debian/oar-node.default
-	rm -f debian/oar-common.logrotate
-	rm -f debian/oar-server.cron.d
-	rm -f debian/oar-node.cron.d
+	$(RM) debian/oar-server.init
+	$(RM) debian/oar-node.init
+	$(RM) debian/oar-server.default
+	$(RM) debian/oar-node.default
+	$(RM) debian/oar-common.logrotate
+	$(RM) debian/oar-server.cron.d
+	$(RM) debian/oar-node.cron.d
 
 override_dh_installinit:
-	dh_installinit --no-start
+	dh_installinit --error-handler=errorinit
 
 override_dh_compress:
 	# avoid to compress examples as we use ucf after.
 	dh_compress -Xexamples
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod +x debian/oar-server/usr/share/oar/oar-server/server_epilogue
+	chmod +x debian/oar-server/usr/share/oar/oar-server/server_prologue
+	chmod +x debian/oar-server/usr/share/oar/oar-server/shut_down_nodes.sh
+	chmod +x debian/oar-server/usr/share/oar/oar-server/wake_up_nodes.sh
+	chmod +x debian/oar-common/usr/share/oar/oar-common/oarnodesetting_ssh
+	chmod +x debian/oar-common/usr/share/oar/oar-common/update_cpuset_id.sh
+	chmod +x debian/oar-web-status/usr/share/oar/oar-web-status/userInfos.cgi
+	chmod +x debian/oar-restful-api/usr/share/oar/oar-api/stress_factor.sh
+	chmod +x debian/oar-node/usr/share/oar/oar-node/epilogue
+	chmod +x debian/oar-node/usr/share/oar/oar-node/prologue
